DELUSER(8)

NAZWA
deluser, delgroup - usuwa użytkownika lub grupę z systemu

SKŁADNIA
deluser [opcje] [--force] [--remove-home] [--remove-all-files] [--backup] [--backup-to KATALOG] użytkownik

deluser --group [opcje] grupa
delgroup [opcje] [--only-if-empty] grupa

deluser [opcje] użytkownik grupa

  WSPÓLNE OPCJE
[--quiet] [--system] [--help] [--version] [--conf PLIK]

OPIS

deluser i delgroup usuwają użytkowników i grupy z systemu zgodnie z opcjami wymienionymi w linii poleceń oraz konfiguracją zawartą w pliku /etc/deluser.conf i /etc/adduser.conf. Programy te są bardziej przyjaznymi dla użytkownika interfejsami do programów userdel i groupdel, opcjonalnie usuwającymi katalog domowy użytkownika lub nawet wszystkie pliki, których właścicielem jest usuwany użytkownik, uruchamiającymi lokalne skrypty i mającymi inne dodatkowe funkcje. deluser i delgroup mogą być użyte w jednym z trzech trybów:

  Usuwanie zwykłych użytkowników
deluser, jeśli zostanie wywołany z jednym argumentem nie będącym opcją oraz bez opcji --group, usunie zwykłego użytkownika. Domyślnie deluser usunie użytkownika bez usuwania katalogu domowego, pliku zawierającego przychodzącą pocztę użytkownika ani jakiegokolwiek innego pliku w systemie, należącego do użytkownika. Usunąć katalog domowy i pocztę użytkownika można używając opcji --remove-home. Opcja --remove-all-files usuwa z systemu wszystkie pliki, których właścicielem jest usuwany użytkownik. Proszę zauważyć, że użycie opcji --remove-home łącznie z tą opcją nie ma żadnego znaczenia, ponieważ opcja --remove-all-files obejmuje wszystkie pliki, łącznie z katalogiem domowym i plikiem zawierającym pocztę użytkownika. Aby przed usunięciem plików zrobić ich kopie zapasowe, należy użyć opcji --backup, która utworzy plik nazwa-użytkownika.tar(.gz|.bz2) w katalogu określonym przez opcję --backup-to (domyślnie jest to bieżący katalog roboczy). Zarówno opcje usuwania, jak i tworzenia kopii zapasowej mogą zostać ustawione jako domyślne w pliku konfiguracyjnym /etc/deluser.conf. Szczegóły można znaleźć w deluser.conf(5). Aby usunąć użytkownika root (uid 0), należy użyć opcji --force, co może zapobiec przypadkowemu usunięciu tego użytkownika. Po usunięciu konta użytkownika, zostanie uruchomiony plik /usr/local/sbin/deluser.local, jeżeli istnieje, w celu wykonania lokalnych ustawień. Argumenty przekazywane do deluser.local są następujące:
nazwa-użytkownika uid gid katalog-domowy

  Usuwanie grup
Jeżeli deluser zostanie uruchomiony z opcją --group lub jako program delgroup, to grupa zostanie usunięta. Ostrzeżenie: Nie można usunąć podstawowej grupy istniejącego użytkownika. Jeżeli podano opcję --only-if-empty, to grupa nie zostanie usunięta, jeżeli ma przypisanych członków.

  Usuwa użytkownika z określonej grupy
deluser wywołany z dwoma argumentami nie będącymi opcjami usunie użytkownika z podanej grupy.

OPCJE

--conf PLIK
    Użyje pliku PLIK zamiast /etc/deluser.conf i /etc/adduser.conf.

--group
    Usuwa grupę. Jest to domyślna akcja, jeżeli program jest wywołany jako delgroup.

--help
    Wyświetla krótką instrukcję używania programu.

--quiet
    Program wyświetla mniej komunikatów niż zazwyczaj.

--system
    Usuwa użytkownika/grupę tylko wtedy, gdy jest to użytkownik/grupa systemowy/systemowa. Pozwala to uniknąć przypadkowego usunięcia niesystemowych użytkowników/grup. Dodatkowo, jeżeli użytkownik nie istnieje, to nie jest zwracany błąd. Ta opcja jest głównie przeznaczana do użycia w skryptach opiekunów pakietów Debiana.

--backup
    Tworzy kopie zapasowe wszystkich plików znajdujących się w katalogu domowym użytkownika do pliku o nazwie /$user.tar.bz2 lub /$user.tar.gz.

--backup-to
    Zamiast umieszczać pliki pliki kopii zapasowych w /, umieszcza je w katalogu podanym jako parametr tej opcji. Ustawia opcję --backup.

--remove-home
    Usuwa katalog domowy użytkownika i jego pocztę. Jeśli podano --backup, pliki są usuwane po utworzeniu ich kopii zapasowej.

--remove-all-files
    Usuwa z systemu wszystkie pliki, których właścicielem jest ten użytkownik. Uwaga: w przypadku podania tej opcji, --remove-home nie będzie miało żadnego efektu. Jeśli podano --backup, pliki są usuwane po utworzeniu ich kopii zapasowej.

--version
    Wyświetla informację o wersji i prawach autorskich.

WARTOŚĆ ZWRACANA

0   Akcja została pomyślnie wykonana.

1   Użytkownik do usunięcia nie był użytkownikiem systemowym. Nie wykonano żadnej akcji.

2   Podany użytkownik nie istnieje. Nie wykonano żadnej akcji.

3   Podana grupa nie istnieje. Nie wykonano żadnej akcji.

4   Błąd wewnętrzny. Nie wykonano żadnej akcji.

5   Usuwana grupa nie jest pusta. Nie wykonano żadnej akcji.

6   Użytkownik nie należy do podanej grupy. Nie wykonano żadnej akcji.

7   Nie można usunąć użytkownika z jego podstawowej grupy. Nie wykonano żadnej akcji.

8   Nie został zainstalowany pakiet "perl-modules", który jest wymagany do przeprowadzenia żądanych akcji. Nie wykonano żadnej akcji.

9   Aby usunąć konto użytkownika root, wymagane jest podanie opcji "--force". Nie wykonano żadnej akcji.

PLIKI
/etc/deluser.conf

ZOBACZ TAKŻE
deluser.conf(5), adduser(8), userdel(8), groupdel(8)

TŁUMACZENIE
Robert Luberda <robert@debian.org>, październik 2005 r.

PRAWA AUTORSKIE
Copyright (C) 2000 Roland Bauerschmidt. Modyfikacje (C) 2004 Marc Haber i Joerg Hoh. Ta strona podręcznika oraz program deluser opierają się na adduser, którego prawa autorskie są następujące:
Copyright (C) 1997, 1998, 1999 Guy Maor. Modyfikowany przez Rolanda Bauerschmidta i Marca Habera.
Copyright (C) 1995 Ted Hajek, z dużym wkładem oryginalnego programu adduser z Debiana.
Copyright (C) 1994 Ian Murdock. deluser jest wolnym oprogramowaniem, warunki licencji - patrz GNU General Public Licence w wersji 2 lub wyższej. Nie ma żadnych gwarancji.